Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1626101

Summary: gd-devel-2.2.5-6.fc30 is missing a run-time dependency on libimagequant-devel
Product: [Fedora] Fedora Reporter: Petr Pisar <ppisar>
Component: gdAssignee: Marek Skalický <mskalick>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: fedora, hhorak, jmlich83, jmoskovc, mskalick
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: gd-2.2.5-7.fc29 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-09-10 09:25:58 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:

Description Petr Pisar 2018-09-06 14:56:33 UTC
With gd-devel-2.2.5-6.fc30.x86_64, perl-GD-2.69-1.fc30 stopped building:

gcc  -lpthread -shared -Wl,-z,relro -Wl,-z,now -specs=/usr/lib/rpm/redhat/redhat-hardened-ld -L/usr/local/lib -fstack-protector-strong  GD.o  -o blib/arch/auto/GD/GD.so  \
   -L/usr/lib -L/usr/lib64 -L/usr/lib64 -L/usr/lib64 -lm -lz -lpng16 -lz -lfreetype -lfontconfig -lfreetype -ljpeg -limagequant -lXpm -lX11 -L/usr/lib -ltiff -lwebp -lgd -lperl   \
  
/usr/bin/ld: cannot find -limagequant

This is caused by latest gd commit:

commit 1c371f67ec3da70b46eee4a1b3aeaf3847f61038 (HEAD -> master, origin/master, origin/f29
, origin/HEAD)
Author: Marek Skalický <mskalick>
Date:   Thu Aug 30 13:41:17 2018 +0200

    Use libimagequant library (RHBZ#1468338)

that added Build-time dependency on libimagequant-devel but forgot to add run-time dependency to gd-devel package. The "-limagequant" linker flag comes from:

$ gdlib-config --ldflags --libs 
gdlib-config: warning: this script is deprecated; please use the pkg-config file instead.

-lgd -lm -lz -lpng16 -lz -lfreetype -lfontconfig -lfreetype -ljpeg -limagequant -fopenmp -lXpm -lX11 -L/usr/lib -ltiff -lwebp

Also the output differs from pk-config:

$ pkg-config --libs gdlib
-lgd 

Either add the run-time dependency on fix gdlib-config.

Comment 1 Marek Skalický 2018-09-10 09:25:58 UTC
Thanks for reporting this, requirement on libimagequant-devel was missing.

Please note:
"gdlib-config: warning: this script is deprecated
please use the pkg-config file instead."

pkg-config is correct and rpm dependency on libimagequant-devel is added now.

Comment 2 Fedora Update System 2018-10-10 13:20:09 UTC
gd-2.2.5-7.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-d1ccb867e5

Comment 3 Fedora Update System 2018-10-10 15:50:50 UTC
gd-2.2.5-7.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-d1ccb867e5

Comment 4 Fedora Update System 2018-10-30 17:24:02 UTC
gd-2.2.5-7.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.